const ms = require('ms')

const convertTime = time => (typeof time === 'numer' ? number : ms(time))

/**
 *@description Makes a timeout for some time
 * @param {number | string} time Time in miliseconds
 * @return {Promise}
 */
const sleep = time =>
  new Promise(resolve => {
    setTimeout(() => resolve(), convertTime(time))
  })

module.exports = {
  sleep
}
